blackbox

## Class BlackBoxAgent

- java.lang.Object
- - agents.Agent
  - - blackbox.BlackBoxAgent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BBFunction, Input, Output

    public abstract class BlackBoxAgent
    extends Agent
    implements java.io.Serializable

The Class BlackBoxAgent.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BlackBoxAgent()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addConstraint(Constraint c)` Adds the constraint.
`abstract void` `computeAMessage(Message m)` Compute A message.
`void` `computeCriticity()` Compute criticity.
`abstract void` `fastPlay()` Fast play.
`java.util.ArrayList<Constraint>` `getConstraints()` Gets the constraints.
`double` `getCriticity()` Gets the criticity.
`java.util.ArrayList<Agent>` `getTargets()` Gets the targets.
`abstract double` `getValue()` Gets the value.
`Constraint` `getWorstConstraint()` Gets the worst constraint.
`void` `readMessage()` Read message.
`void` `setConstraints(java.util.ArrayList<Constraint> constraints)` Sets the constraints.
`void` `setCriticity(double criticity)` Sets the criticity.
`void` `setTargets(java.util.ArrayList<Agent> targets)` Sets the targets.

### Methods inherited from class agents.Agent

`die, getID, getMessages, getMessagesBin, getName, isDying, play, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlackBoxAgent

    public BlackBoxAgent()

### Method Detail

#### computeAMessage

    public abstract void computeAMessage(Message m)

Description copied from class: `Agent`
Compute A message.

Specified by:
  `computeAMessage` in class `Agent`
Parameters:
  `m` - the m

#### getTargets

    public java.util.ArrayList<Agent> getTargets()

Gets the targets.

Returns:
  the targets

#### setTargets

    public void setTargets(java.util.ArrayList<Agent> targets)

Sets the targets.

Parameters:
  `targets` - the new targets

#### readMessage

    public void readMessage()

Description copied from class: `Agent`
Read message.

Overrides:
  `readMessage` in class `Agent`

#### getValue

    public abstract double getValue()

Gets the value.

Returns:
  the value

#### fastPlay

    public abstract void fastPlay()

Fast play.

#### computeCriticity

    public void computeCriticity()

Compute criticity.

#### getWorstConstraint

    public Constraint getWorstConstraint()

Gets the worst constraint.

Returns:
  the worst constraint

#### getCriticity

    public double getCriticity()

Gets the criticity.

Returns:
  the criticity

#### setCriticity

    public void setCriticity(double criticity)

Sets the criticity.

Parameters:
  `criticity` - the new criticity

#### getConstraints

    public java.util.ArrayList<Constraint> getConstraints()

Gets the constraints.

Returns:
  the constraints

#### setConstraints

    public void setConstraints(java.util.ArrayList<Constraint> constraints)

Sets the constraints.

Parameters:
  `constraints` - the new constraints

#### addConstraint

    public void addConstraint(Constraint c)

Adds the constraint.

Parameters:
  `c` - the c